<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h4 class="modal-title" id="myBudgetingLabel" jhiTranslate="mpmApp.budgeting.home.createOrEditLabel">Create or edit a Budgeting</h4>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true"
                (click)="clear()">&times;</button>
    </div>
    <div class="modal-body">
        <jhi-alert-error></jhi-alert-error>
        <div class="form-group" [hidden]="!budgeting.id">
            <label for="id" jhiTranslate="global.field.id">ID</label>
            <input type="text" class="form-control" id="id" name="id"
                   [(ngModel)]="budgeting.id" readonly />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.budgeting.idrequest" for="field_idrequest">Idrequest</label>
            <input type="text" class="form-control" name="idrequest" id="field_idrequest"
                [(ngModel)]="budgeting.idrequest"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.budgeting.requestNumber" for="field_requestNumber">Request Number</label>
            <input type="text" class="form-control" name="requestNumber" id="field_requestNumber"
                [(ngModel)]="budgeting.requestNumber"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.budgeting.dtRequest" for="field_dtRequest">Dt Request</label>
            <div class="input-group">
                <input id="field_dtRequest" type="text" class="form-control" name="dtRequest" ngbDatepicker  #dtRequestDp="ngbDatepicker" [(ngModel)]="budgeting.dtRequest"
                />
                <span class="input-group-btn">
                    <button type="button" class="btn btn-secondary" (click)="dtRequestDp.toggle()"><i class="fa fa-calendar"></i></button>
                </span>
            </div>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.budgeting.reqType" for="field_reqType">Req Type</label>
            <input type="text" class="form-control" name="reqType" id="field_reqType"
                [(ngModel)]="budgeting.reqType"  />
        </div>

    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal" (click)="clear()">
            <span class="fa fa-ban"></span>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
        </button>
        <button type="submit" [disabled]="editForm.form.invalid || isSaving" class="btn btn-primary">
            <span class="fa fa-save"></span>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
        </button>
    </div>
</form>
